MUSCAN(1)

NAME

Muscan - File scanner for Museek

SYNOPSIS
muscan [-c <filename>] [--config <filename>] [-b] [--buddy] [-v] [--verbose] [-r] [--rescan] [-n] [--noscan] [-s <directory>] [--share <directory>] [-u <directory>] [--unshare <directory>] [-l] [--list] [-h] [--help]

DESCRIPTION

Muscan scans paths & files to be shared by museekd(1). It creates a database of files, with meta-data for MP3 and OGG Vorbis files, if Vorbis support was compiled in. There are two available shares databases, Normal and Buddies-Only. Buddies-Only is an optional shares database that, if enabled, is only accessable by the users you've chosen as "Buddies".

Before running muscan, you will need a configured museekd, which can be done with musetup(1) or fI>musetup-gtk(1), and add some shared paths with either of the setup tools or with muscan(1).

OPTIONS

Muscan accepts the following options:

-c <filename>, --config <filename>
    Use a different config file.

-b, --buddy
    Select Buddy-Only Shares.

-s <directory>, --share <directory>
    Add directory to shares.

-u <directory>, --unshare <directory>
    Remove directory from shares.

-r, --rescan
    Rescan shares.

-n, --noscan
    Do not rescan shares.

-v, --verbose
    Be verbose while scanning shares.

-l, --list
    Display list of shared directories.

-h, --help
    Display Help, version and exit.

EXAMPLE

To run a quick shares update, run:

muscan or muscan -b

To rescan everything, run:

muscan -r or muscan -b -r

Alternatively you use a different config file with:

muscan --config config.xml

FILES

~/.museekd/config.xml
    The default location for the museekd config file.

~/.museekd/config.shares
    The default location for the Normal shares database.

~/.museekd/config.shares.state
    The default location for the active Normal shares database.

~/.museekd/config.buddyshares
    The default location for the Buddy shares database.

~/.museekd/config.buddyshares.state
    The default location for the active Buddy shares database's.

AUTHORS

Hyriand <hyriand@thegraveyard.org>

daelstorm <daelstorm@gmail.com>

SEE ALSO

mucous(1) mulog(1) murmur(1) muscand(1) museekcontrol(1) museekd(1) museeq(1) musetup(1) musetup-gtk(1)